
/******************************************************
 *  Presage, an extensible predictive text entry system
 *  ---------------------------------------------------
 *
 *  Copyright (C) 2008  Matteo Vescovi <matteo.vescovi@yahoo.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
                                                                             *
                                                                **********(*)*/


#ifndef PRESAGE_CHARSETS
#define PRESAGE_CHARSETS

// ISO 8859-1 standard ///////////////////////
#include "iso8859_1.h"


// FIXME: ensure values are correct
const char RIGHT_ARROW = 28;
const char LEFT_ARROW  = 29;
const char UP_ARROW    = 30;
const char DOWN_ARROW  = 31;
const char END         = 128;    // fix this!!!
const char HOME        = 128;    // <----------
const char BACKSPACE   = '\b';
const char DELETE      = 18;     // ?
const char PAGE_UP     = 128;
const char PAGE_DOWN   = 128;


const char DEFAULT_WORD_CHARS[]={
    'A',
    'B',
    'C',
    'D',
    'E',
    'F',
    'G',
    'H',
    'I',
    'J',
    'K',
    'L',
    'M',
    'N',
    'O',
    'P',
    'Q',
    'R',
    'S',
    'T',
    'U',
    'V',
    'W',
    'X',
    'Y',
    'Z',
    'a',
    'b',
    'c',
    'd',
    'e',
    'f',
    'g',
    'h',
    'i',
    'j',
    'k',
    'l',
    'm',
    'n',
    'o',
    'p',
    'q',
    'r',
    's',
    't',
    'u',
    'v',
    'w',
    'x',
    'y',
    'z',
    '0',
    '1',
    '2',
    '3',
    '4',
    '5',
    '6',
    '7',
    '8',
    '9',
	
    (char)Agrave  ,
    (char)Aacute  ,
    (char)Acirc   ,
    (char)Atilde  ,
    (char)Auml    ,
    (char)Aring   ,
    (char)AElig   ,
    (char)Ccedil  ,
    (char)Egrave  ,
    (char)Eacute  ,
    (char)Ecirc   ,
    (char)Euml    ,
    (char)Igrave  ,
    (char)Iacute  ,
    (char)Icirc   ,
    (char)Iuml    ,
    (char)ETH     ,
    (char)Ntilde  ,
    (char)Ograve  ,
    (char)Oacute  ,
    (char)Ocirc   ,
    (char)Otilde  ,
    (char)Ouml    ,
    (char)times   ,
    (char)Oslash  ,
    (char)Ugrave  ,
    (char)Uacute  ,
    (char)Ucirc   ,
    (char)Uuml    ,
    (char)Yacute  ,
    (char)THORN   ,
    (char)szlig   ,
    (char)agrave  ,
    (char)aacute  ,
    (char)acirc   ,
    (char)atilde  ,
    (char)auml    ,
    (char)aring   ,
    (char)aelig   ,
    (char)ccedil  ,
    (char)egrave  ,
    (char)eacute  ,
    (char)ecirc   ,
    (char)euml    ,
    (char)igrave  ,
    (char)iacute  ,
    (char)icirc   ,
    (char)iuml    ,
    (char)eth     ,
    (char)ntilde  ,
    (char)ograve  ,
    (char)oacute  ,
    (char)ocirc   ,
    (char)otilde  ,
    (char)ouml    ,
    (char)divide  ,
    (char)oslash  ,
    (char)ugrave  ,
    (char)uacute  ,
    (char)ucirc   ,
    (char)uuml    ,
    (char)yacute  ,
    (char)thorn   ,
    (char)yuml    ,

    '\0' };

const char DEFAULT_SEPARATOR_CHARS[]={
    '!',
    '"',
    '#',
    '$',
    '%',
    '&',
    '\'',
    '(',
    ')',
    '*',
    '+',
    ',',
    '-',
    '.',
    '/',
    ':',
    ';',
    '<',
    '=',
    '>',
    '?',
    '@',
    '[',
    '\\',
    ']',
    '^',
    '_',
    '`',
    '{',
    '|',
    '}',
    '~',
    '\0' };

const char DEFAULT_BLANKSPACE_CHARS[]={
    ' ',  // space
    '\f', // form feed
    '\n', // newline
    '\r', // carriage return
    '\t', // horizontal tab
    '\v', // vertical tab
    '\0' };

const char DEFAULT_CONTROL_CHARS[]={
    RIGHT_ARROW,
    LEFT_ARROW,
    UP_ARROW,
    DOWN_ARROW,
    END,
    HOME,
    BACKSPACE,
    DELETE,
    PAGE_UP,
    PAGE_DOWN,
    '\0' };


#endif // PRESAGE_CHARSETS
